coap_subscription_t Struct Reference
Subscribe (Internal)

Subscriber information. More...

`#include <coap_subscribe_internal.h>`

Collaboration diagram for coap_subscription_t:
[legend]

## Data Fields

struct coap_subscription_t * | next
| next element in linked list More...
struct coap_session_t * | session
| subscriber session More...
unsigned int | non_cnt:4
| up to 15 non-confirmable notifies allowed More...
unsigned int | fail_cnt:2
| up to 3 confirmable notifies can fail More...
unsigned int | dirty:1
| set if the notification temporarily could not be sent (in that case, the resource's partially dirty flag is set too) More...
unsigned int | has_block2:1
| GET request had Block2 definition. More...
uint16_t | tid
| transaction id, if any, in regular host byte order More...
coap_block_t | block2
| GET request Block2 definition. More...
size_t | token_length
| actual length of token More...
unsigned char | token [8]
| token used for subscription More...
struct coap_string_t * | query
| query string used for subscription, if any More...

## Detailed Description

Subscriber information.

Definition at line 44 of file coap_subscribe_internal.h.

## Field Documentation

## block2

coap_block_t coap_subscription_t::block2

GET request Block2 definition.

Definition at line 55 of file coap_subscribe_internal.h.

## dirty

unsigned int coap_subscription_t::dirty

set if the notification temporarily could not be sent (in that case, the resource's partially dirty flag is set too)

Definition at line 50 of file coap_subscribe_internal.h.

## fail_cnt

unsigned int coap_subscription_t::fail_cnt

up to 3 confirmable notifies can fail

Definition at line 49 of file coap_subscribe_internal.h.

## has_block2

unsigned int coap_subscription_t::has_block2

GET request had Block2 definition.

Definition at line 53 of file coap_subscribe_internal.h.

## next

struct coap_subscription_t* coap_subscription_t::next

next element in linked list

Definition at line 45 of file coap_subscribe_internal.h.

## non_cnt

unsigned int coap_subscription_t::non_cnt

up to 15 non-confirmable notifies allowed

Definition at line 48 of file coap_subscribe_internal.h.

## query

struct coap_string_t* coap_subscription_t::query

query string used for subscription, if any

Definition at line 58 of file coap_subscribe_internal.h.

## session

struct coap_session_t* coap_subscription_t::session

subscriber session

Definition at line 46 of file coap_subscribe_internal.h.

## tid

uint16_t coap_subscription_t::tid

transaction id, if any, in regular host byte order

Definition at line 54 of file coap_subscribe_internal.h.

## token

unsigned char coap_subscription_t::token[8]

token used for subscription

Definition at line 57 of file coap_subscribe_internal.h.

## token_length

size_t coap_subscription_t::token_length

actual length of token

Definition at line 56 of file coap_subscribe_internal.h.

The documentation for this struct was generated from the following file:

- coap_subscribe_internal.h